<script lang="ts">
    import Icon from 'svelte-awesome'
    import navicon from 'svelte-awesome/icons/navicon';

    import {
        SIDEBAR_SIZE_MIN,
        sidebar_size,
        trigger_el
    } from '$lib/ui/Store.js'

    function on_click() {
        sidebar_size.set($SIDEBAR_SIZE_MIN);
    }
</script>

<button class="sidebartoggler" bind:this={$trigger_el} on:click="{on_click}">
	<Icon data={navicon} scale={2}/>
</button>

<style>
    .sidebartoggler {
        background: #ffffff;
        color: #2A2459;
        cursor: pointer;
        border: hidden;
        border-radius: 7px;
        text-align: left;
    }
</style>
